{% extends "base.html" %}

{% block styles %}
<link rel="stylesheet" href="{{url_for('static',filename='css/artiste.css')}}">
{% endblock %}

{% block body %}

<body class="d-flex flex-grow-1 flex-fill">
    <div class="d-flex flex-grow-1" id="wrapper">
        {% include "components/sidebar.html" %}
        <div class="d-flex flex-grow-1 flex-fill page-content-wrapper" id="main">
            <div class="container-fluid">
                {%include "components/navbar.html" %}
                <div id="divMain">
                    <button class="btn btn-primary" type="button" id="back"
                    onclick="window.location.href = '/connected/artiste/';"><img
                        src="{{url_for('static',filename='img/angle-left-solid.svg')}}" id="imgBack"></button>
                    <h1 class="text-center">Artiste
                    </h1>
                    <div class="d-xl-flex justify-content-xl-center align-items-xl-center" id="divImg">
                        <p class="title">{{artiste.nom}}
                        </p>
                    </div>
                    {% if not followed %}
                    <div class="center"><button class="btn btn-primary" type="button" onclick="window.location.href = '/connected/artiste/{{artiste.id}}/follow';">Suivre</button>
                    </div>
                    {% else %}
                    <div class="center"><button class="btn btn-primary" type="button" onclick="window.location.href = '/connected/artiste/{{artiste.id}}/unfollow';">Ne plus suivre</button>
                    </div>
                    {% endif %}
                    <section class="d-xl-flex align-items-xl-center">
                        <div class="part">
                            <h1 class="text-center">Albums et Singles</h1>
                            <ul class="d-flex flex-wrap">
                                {% for elem in albums %}
                                {% set artiste = funcArtist(elem.auteur_id) %}
                                <li title="{{elem.titre}} - {{artiste.nom}}">
                                    <div><a href="/connected/album/{{elem.id}}"><img src="{{elem.urlImage}}"></a>
                                    </div>
                                </li>
                                {% endfor %}
                            </ul>
                        </div>
                    </section>
                </div>
            </div>
        </div>
    </div>

    {% block script %}
    <script src="{{url_for('static',filename='js/jquery.min.js')}}"></script>
    <script src="{{url_for('static',filename='bootstrap/js/bootstrap.min.js')}}"></script>
    <script src="{{url_for('static',filename='js/bs-init.js')}}"></script>
    <script src="{{url_for('static',filename='js/-Fixed-Navbar-start-with-transparency-background-BS4-.js')}}"></script>
    <script src="{{url_for('static',filename='js/Sidebar-Menu.js')}}"></script>
    <script>
        // When the user clicks on div, open the popup
        function fonctionPopUp() {
            var popup = document.getElementById("myPopup");
            popup.classList.toggle("show");
        }
        function fonctionRecherche() {
            var popup = document.getElementById("myPopupRecherche");
            popup.classList.toggle("show");
        }
    </script>
    {% endblock %}
</body>
{% endblock %}